Rygel.RootDevice Reference Manual

# RootDevice

## Object Hierarchy:

## Description:

public class RootDevice : `RootDevice`

Represents a Root device.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `ArrayList`<`ServiceInfo`> services { set; get; }

### Creation methods:

- public RootDevice (`Context` context, Plugin plugin, `XMLDoc` description_doc, `string` description_path, `string` description_dir)